Page MenuHomePhabricator

[Task] Document the use of formatterUrlProperty
Closed, ResolvedPublic

Description

Questions are coming in weekly about external identifiers, people who are trying to replicate the behaviour of Wikidata.org. Maybe better documentation is needed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2016, 5:34 PM

What exactly are they looking for? What are they trying to replicate?

Lydia_Pintscher renamed this task from Document the use of formatterUrlProperty to [Task] Document the use of formatterUrlProperty.Apr 3 2016, 11:43 AM
Lydia_Pintscher triaged this task as Low priority.

What exactly are they looking for? What are they trying to replicate?

Most are wondering why the identifiers are not linked on their own Wikibase installation and don't know that they need to declare the formatterUrlProperty. Pinging @hoo who answered this question before.

Seb35 added a subscriber: Seb35.Jul 13 2018, 5:49 PM

I just succeeded in using formatterUrlProperty on a test wiki. Here is my steps:

  1. After installation of Wikibase repo, create a property with type String, it can be empty (without any statement), this will be the equivalent property than http://www.wikidata.org/entity/P1630, it is numbered P5 in my case;
  2. In LocalSettings.php, set $wgWBRepoSettings['formatterUrlProperty'] = 'P5';;
  3. Run the maintenance script php extensions/Wikibase/repo/maintenance/rebuildPropertyInfo.php --rebuild-all --force;
  4. Then your properties can declare some P5 with as the value the URL of the destination, with $1 in the URL as a placeholder with the external identifier.

I searched for some time the third step above, I’m not sure if it’s mandatory or if it was because I created the properties (of step 4) before setting formatterUrlProperty.

Seb35 closed this task as Resolved.Jul 16 2018, 2:55 PM
Seb35 claimed this task.

I’ve just written Wikibase/Installation/Advanced configuration#Define links for external identifiers, I guess it is enough to close this task.